Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: Alsa Repo

  1. #1
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Alsa Repo

    Hello, i just added Alsa repository, but i cant get Yast to update the packages, even if i set its priority to 18, considering packman is at 20 and all others are set to 99

  2. #2
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Re: Alsa Repo

    Code:
    #  | Alias           | Nombre                | Activado | Actualizar | Prioridad | Tipo   | URI                                                                                  | Servicio
    ---+-----------------+-----------------------+----------+------------+-----------+--------+--------------------------------------------------------------------------------------+---------
    1  | Java            | Java                  | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/Java:/packages/openSUSE_11.1/              |
    2  | Packman         | Packman               | Si       | Si         |   20      | rpm-md | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/11.1/                            |
    3  | Qt              | Qt                    | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt/openSUSE_11.1/                     |
    4  | Qt45            | Qt45                  | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/Qt45/openSUSE_11.1/                   |
    5  | Security        | Security              | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/security/openSUSE_11.1/                    |
    6  | Wine            | Wine                  | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_11.1/             |
    7  | alsa_optional   | alsa optional         | Si       | Si         |   18      | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_11.1/            |
    8  | ati_1           | ati                   | No       | Si         |   99      | rpm-md | http://www2.ati.com/suse/11.1/                                                       |
    9  | boinc           | boinc                 | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/home:/enzokiel/openSUSE_11.1_Update/       |
    10 | compiz          | compiz                | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_11.1/                    |
    11 | firefox         | firefox               | No       | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_11.1/                     |
    12 | games           | games                 | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/home:/accAgon/openSUSE_11.1/               |
    13 | gnomepidgin     | gnomepidgin           | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/GNOME:/Community/openSUSE_11.0/            |
    14 | kde_community   | kde community         | Si       | Si         |   20      | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42/ |
    15 | kde_desktop     | kde desktop           | Si       | Si         |   99      | rpm-md | http://download.opensuse.org/repositories/KDE:/42/openSUSE_11.1/                     |
    16 | kernel_2.6.31   | kernel 2.6.31         | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/Kernel:/HEAD/openSUSE_11.1/                |
    17 | openSUSE 11.1-0 | openSUSE 11.1-0       | No       | No         |   99      | yast2  | cd:///?devices=/dev/sr0,/dev/sr1                                                     |
    18 | openoffice      | openoffice            | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_11.1/      |
    19 | pidgin          | pidgin                | No       | No         |   99      | rpm-md | http://download.opensuse.org/repositories/home:/sdrahn/openSUSE_11.1/                |
    20 | repo-debug      | openSUSE-11.1-Debug   | No       | No         |  100      | NONE   | http://download.opensuse.org/debug/distribution/11.1/repo/oss/                       |
    21 | repo-non-oss    | openSUSE-11.1-Non-Oss | Si       | Si         |  100      | yast2  | http://download.opensuse.org/distribution/11.1/repo/non-oss/                         |
    22 | repo-oss        | openSUSE-11.1-Oss     | Si       | Si         |  100      | yast2  | http://download.opensuse.org/distribution/11.1/repo/oss/                             |
    23 | repo-source     | openSUSE-11.1-Source  | No       | No         |  100      | NONE   | http://download.opensuse.org/source/distribution/11.1/repo/oss/                      |
    24 | repo-update     | openSUSE-11.1-Update  | Si       | Si         |   99      | rpm-md | http://download.opensuse.org/update/11.1/                                            |
    25 | vlc             | vlc                   | No       | No         |   99      | rpm-md | http://download.videolan.org/pub/vlc/SuSE/11.1/

  3. #3
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Re: Alsa Repo

    Yast is still prefering to stick with packages from Packman and Repo-update repositories, even though they have lower priorities.

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,734
    Blog Entries
    20

    Default Re: Alsa Repo

    If you look via Software Management and filter by repo, what colour are the installed packages showing in the Alsa repo you added.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Alsa Repo

    Quote Originally Posted by assas1n View Post
    Yast is still prefering to stick with packages from Packman and Repo-update repositories, even though they have lower priorities.
    I do not recommend having many repos in one's repos list. Instead I prefer to keep it simple, and add and remove repos on an as required basis.

    You added only one of the two repos needed to successfully update alsa.
    Code:
    http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_11.1/
    Note if you keep that repos for alsa installed, you are headed down a path that could break your sound. From where did you get guidance to adopt that approach?

    In order to successfully update one's sound, two alsa repos are needed. I provided instruction how to successfully update one's alsa via zypper commands (where six commands must be sent) here:
    Alsa-update - openSUSE

    Note that as opposed to just updating alsa, alsa-docs, and libasound2, one can also update the other alsa apps they have installed (such as alsa-oss, alsa-plugins, ... etc ... ). And if one updates those, per the update guide, one must also install alsa-driver-kmp-<kernel> ...

  6. #6
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Re: Alsa Repo

    Quote Originally Posted by caf4926 View Post
    If you look via Software Management and filter by repo, what colour are the installed packages showing in the Alsa repo you added.
    They are only showing in black colour.

  7. #7
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Re: Alsa Repo

    I tried adding the other Alsa repository (http://download.opensuse.org/reposit...E_11.1_Update/) including the kmp packages, still i couldnt get Yast to update.

    I Did install alsa-driver-kmp-default. Dont know if this package should co-exist with alsa package though.

  8. #8
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Alsa Repo

    Quote Originally Posted by assas1n View Post
    I tried adding the other Alsa repository (Index of /repositories/multimedia:/audio:/KMP/openSUSE_11.1_Update) including the kmp packages, still i couldnt get Yast to update.

    I Did install alsa-driver-kmp-default. Dont know if this package should co-exist with alsa package though.
    My understanding is alsa-driver-kmp-default, takes the place of the alsa code that is nominally in the kernel. However it typically on that URL is the latest alsa build (currently 1.0.21) and hence works best with version 1.0.21 of alsa, alsa-tools, alsa-oss, alsa-plugins, libasound2 ... etc ...

    Did you try the zypper commands ?

  9. #9
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Re: Alsa Repo

    Not yet, i will now though.

    Will get back here once im done.
    Thanks

  10. #10
    Join Date
    Oct 2008
    Location
    Santiago, Chile
    Posts
    648

    Default Re: Alsa Repo

    ok, did the zypper update, still got old alsa 1.0.18 running, only change was alsa-driver-kmp-default got installed.


    Im still unable to update the packages through Yast

    Heres an image to explain myself better





    If possible, i would like to update every package found on alsa optional repository.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •